# class Gdk::Color

### Public Class Methods

new(red, green, blue) click to toggle source

    # File lib/gdk3/color.rb, line 42
    def initialize(red, green, blue)
      initialize_raw
      self.red = red
      self.green = green
      self.blue = blue
    end

Also aliased as: initialize_raw
parse(spec) click to toggle source

    # File lib/gdk3/color.rb, line 21
    def parse(spec)
      succeeded, color = parse_raw(spec)
      unless succeeded
        message = "Invalid color spec: <#{spec.inspect}>: "
        message << "Color spec must be one of them: "
        message << "\"\#rgb\", "
        message << "\"\#rrggbb\", "
        message << "\"\#rrggbb\", "
        message << "\"\#rrrgggbbb\", "
        message << "\"\#rrrrggggbbbb\", "
        message << "\"\#fff\", "
        message << "\"\#ffffff\", "
        message << "\"\#fffffffff\", "
        message << "\"\#fffffffffffff\""
        raise ArgumentError, message
      end
      color
    end

Also aliased as: parse_raw
parse_raw(spec)
Alias for: parse

### Public Instance Methods

initialize_raw(red, green, blue)
Alias for: new